Bug#654126: Pending fixes for bugs in the plexus-io package

2017-05-09 Thread pkg-java-maintainers
tag 654126 + pending thanks Some bugs in the plexus-io package are closed in revision e0be5c5aad40dcc6e29d633b56b315fa2d137a2d in branch 'master' by tony mancill The full diff can be seen at https://anonscm.debian.org/cgit/pkg-java/plexus-io.git/commit/?id=e0be5c5 Commit message: Remove

Bug#862235: ITP: node-dot -- Concise and fast javascript templating

2017-05-09 Thread Pirate Praveen
Package: wnpp Severity: wishlist Owner: Pirate Praveen X-Debbugs-CC: debian-de...@lists.debian.org * Package name: node-dot Version : 1.1.1 Upstream Author : Laura Doktorova * URL : http://github.com/olado/doT * License

Bug#861683: Install xserver-xorg-legacy by default for stretch

2017-05-09 Thread Moritz Muehlenhoff
On Tue, May 02, 2017 at 07:39:37PM +0200, Michael Biebl wrote: > Same is true for users of startx. They need the suid wrapper provided by > xserver-xorg-legacy in such a case. That's not true. I use the text mode console nearly all the time and only start X as needed via startx, that works fine

Bug#862148: Lynx: Long search strings to Google get truncated.

2017-05-09 Thread David Lawyer
On Tue, May 09, 2017 at 07:48:53PM -0400, Thomas Dickey wrote: > On Mon, May 08, 2017 at 09:17:22PM -0700, David Lawyer wrote: > > Package: lynx > > Varsion: 2.8.9dev13-l > > > > When I type in a search string (in English) to Google or Bing and the > > length of my > > search string is longer

Bug#862234: libsvm FTCBFS: uninstallable python build dependency, uses build architecture toolchain

2017-05-09 Thread Helmut Grohne
Source: libsvm Version: 3.21+ds-1.1 Tags: patch User: helm...@debian.org Usertags: rebootstrap libsvm fails to cross build from source. It's dependency on python-all is not installable, because python-all can only be installed for executable architectures. Switching that dependency to the build

Bug#862233: libpomegranate-clojure: Package does not work with available version of maven

2017-05-09 Thread Elana Hashman
Package: libpomegranate-clojure Version: 0.3.1-1 Severity: grave Justification: renders package unusable Control: block 819811 by -1 libpomegranate-clojure 0.2.0 and 0.3.1 depend on Maven 3.0.4. However, only 3.3.9 is available in stretch and sid. When I attempt to use the package, I get a

Bug#862232: hlint.1: incorrect path to the full documentation

2017-05-09 Thread Paul Wise
Package: hlint Version: 1.9.35-3+b1 Severity: minor File: /usr/share/man/man1/hlint.1.gz The manual page says: The full documentation for HLint is available in /usr/share/doc/hlint/hlint.htm. But this file does not exist: $ ls -l /usr/share/doc/hlint/hlint.htm* ls: cannot access

Bug#862231: caja: Caja doesn't draw user desktop background

2017-05-09 Thread Fabián Inostroza
Package: caja Version: 1.16.2-2 Severity: normal Dear Maintainer, After last weekend update Caja (I suppose) no longer draws the desktop background that the user has set. Choosing other desktop background using appearance settings doesn't have any effect. -- System Information: Debian

Bug#859912: FTBFS on khal

2017-05-09 Thread Daniel Baumann
ftr, I've opened #862178. Regards, Daniel

Bug#861073: libxinerama failed to cross build at configure

2017-05-09 Thread Do Thanh Trung
Hi, I saw that there are several packages have same problem with "auto malloc0returnsnull". This problem makes them cannot cross-build. Should I file new bug for each one of them? Those packages are: libdmx libfs libx11 libxext libxi libxinerama libxrandr libxrender libxres libxss libxt libxv

Bug#862230: mplayer: error while loading shared libraries: R_PPC_REL24 relocation at 0x207ac54c for symbol `htonl' out of range

2017-05-09 Thread Rogério Brito
Package: mplayer Version: 2:1.3.0-6 Severity: important Hi. In my PowerPC G4 iBook, I am running unstable and I'm getting the following error when starting mplayer (with parameters, without, doesn't matter): $ mplayer mplayer: error while loading shared libraries: R_PPC_REL24 relocation at

Bug#862229: libssl1.0.2: Illegal instruction on a PowerPC G4 (32 bits) "in OPENSSL_crypto207_probe () at ppccpuid.s:20"

2017-05-09 Thread Rogério Brito
Package: libssl1.0.2 Version: 1.0.2k-1 Severity: important Hi. While trying to start telegram-desktop on a PowerPC G4 (that is, one with the altivec instructions), I am getting a SIGILL and, installing the debug symbols for libssl1.0.2, I was able to get the following (not entirely complete, but

Bug#862176: gcc-snapshot: needs packages from experimental, with -fsanitize=address

2017-05-09 Thread Vincent Lefevre
On 2017-05-10 03:26:14 +0200, Vincent Lefevre wrote: > Forget that. This breaks the use of LD_RUN_PATH. :( Or the contents > of LD_RUN_PATH should be added as rpath arguments by the wrapper. In case this can be useful: #!/bin/sh LD_LIBRARY_PATH=/usr/lib/gcc-snapshot/lib:$LD_LIBRARY_PATH

Bug#813740: ITP: semver -- Python package to work with Semantic Versioning

2017-05-09 Thread 陳昌倬
Control: retitle -1 ITP: semver -- Python package to work with Semantic Versioning Control: owner -1 ! I will handle this one. -- ChangZhuo Chen (陳昌倬) czchen@{czchen,debian}.org http://czchen.info/ Key fingerprint = BA04 346D C2E1 FE63 C790 8793 CC65 B0CD EC27 5D5B signature.asc

Bug#862176: gcc-snapshot: needs packages from experimental, with -fsanitize=address

2017-05-09 Thread Vincent Lefevre
On 2017-05-10 01:31:02 +0200, Vincent Lefevre wrote: > > closing this issue, there is no "propoer" solution. > > I'm just thinking... Couldn't the use of a run path for > /usr/lib/gcc-snapshot/lib be a proper solution? i.e. give > a better wrapper as an example? For instance, on amd64, > the

Bug#814038: [Aptitude-devel] Bug#814038: aptitude: Provide a way to reverse order with any of the available sorting criterias

2017-05-09 Thread Axel Beckert
Hi Manuel, Manuel A. Fernandez Montecelo wrote: > >Thanks for the reminder, but probably not, at least not this weekend. > > I plan to do a release next week-end or so, to include the latest > translations. Ok, thanks for yet another reminder. I hope to get it done in time, but I'm on a

Bug#862225: draft patch

2017-05-09 Thread Trent W. Buck
This goes into the deb-src package something like this (attached, UNTESTED). git://anonscm.debian.org/collab-maint/libpam-mount.git I couldn't find docs for the pam-auth-update config format; https://wiki.ubuntu.com/PAMConfigFrameworkSpec is the original blueprint. I couldn't test it

Bug#862228: desktop-base: xml errors in /usr/share/gnome-background-properties/debian-joy.xml and debian-joy-inksplat.xml

2017-05-09 Thread Mark Hedges
Package: desktop-base Version: 9.0.2 Severity: normal I tried to run `nautilus-desktop` in LXDE after killing pcmanfm, then tried to change the desktop background: hedges@hazelnut:~$ nautilus-desktop

Bug#862148: Lynx: Long search strings to Google get truncated.

2017-05-09 Thread Thomas Dickey
On Mon, May 08, 2017 at 09:17:22PM -0700, David Lawyer wrote: > Package: lynx > Varsion: 2.8.9dev13-l > > When I type in a search string (in English) to Google or Bing and the length > of my > search string is longer than the blank space that Goolge or Bing provides > for it, the excess part of

Bug#862217: [Pkg-sysvinit-devel] Bug#862217: initscript does fsck on empty floppy drive and stops booting

2017-05-09 Thread Henrique de Moraes Holschuh
On Tue, 09 May 2017, David Lawyer wrote: > My PC has a floppy drive which I seldom use. When I boot linux, it runs > /etc/init.d/checkfs.sh which runs fsck.fat on the floppy drive > /dev/fd0. The fsck fails because there is no floppy in the drive and ... > Linux should not try to run fsck on a

Bug#862176: gcc-snapshot: needs packages from experimental, with -fsanitize=address

2017-05-09 Thread Vincent Lefevre
Control: reopen -1 Control: severity -1 minor Control: retitle -1 gcc-snapshot: README.Debian is inaccurate concerning LD_LIBRARY_PATH On 2017-05-10 00:00:10 +0200, Matthias Klose wrote: > set LD_LIBRARY_PATH for running your binaries. OK, I now understand (I didn't see that gcc-snapshot

Bug#862217: initscript does fsck on empty floppy drive and stops booting

2017-05-09 Thread Ian Jackson
David Lawyer writes ("Bug#862217: initscript does fsck on empty floppy drive and stops booting"): > Package: initscripts > Version: 2.88dsf-59.9_i38 ... > /dev/fd0 /home/dave/fd vfatrw,noauto,user,noexec, 0 > 1 The final field there, the 1, is the fs_passno

Bug#862227: haskell-posix-pty: FTBFS on non-Linux: libutil.h absent

2017-05-09 Thread Aaron M. Ucko
Source: haskell-posix-pty Version: 0.2.1.1-1 Severity: important Justification: fails to build from source Builds of haskell-posix-pty for kFreeBSD and the Hurd have been failing: cbits/fork_exec_with_pty.c:19:21: error: fatal error: libutil.h: No such file or directory Per

Bug#862226: XeTeX chokes if fontconfig returns a WOFF file to them

2017-05-09 Thread Bobby de Vos
Package: texlive-binaries Version: 2015.20160222.37495-1 Severity: normal This issue was first filed under the fontconfig package, see https://bugs.debian.org/861938 for all the needed details. -- Bobby de Vos /bobby_de...@sil.org/

Bug#834095: libcwidget-dev: Bad Declaration in cwidget.pc

2017-05-09 Thread Manuel A. Fernandez Montecelo
Control: tags -1 + pending Hi Leo, 2016-08-11 22:46 Leo L. Schwab: Package: libcwidget-dev Version: 0.5.17-4+b1 Severity: normal Dear Maintainer, Upon installation of libcwidget-dev, 'pkg-config --cflags' returns an incomplete set of options: $ pkg-config --cflags cwidget

Bug#862225: pam_mount mounts using old password when a password change is forced on login

2017-05-09 Thread Floris Bos
Package: libpam-mount Version: 2.14-1.1 I have a setup where client computers run Debian Jessie and use: - libpam-ldapd for authentication - libpam-mount to mount a remote home directory through sshfs, using the login password entered by the user. The remote server uses the same ldap

Bug#862068: 9wm: inactive window border color

2017-05-09 Thread Jacob Adams
On Mon, May 8, 2017 at 1:39 AM, Ricardo Fabian Peliquero < zh...@lasampa.com.ar> wrote: > Setting inactive window border color to black falls back to default > (white). Other colors, however, do work as expected. Thanks for the report! I've fixed this bug upstream with commit d3c813eaa221

Bug#862223: RFS: xtensor/0.10.1-1

2017-05-09 Thread Ghislain Vaillant
Package: sponsorship-requests Severity: normal Dear mentors, I am looking for a sponsor for the following package: * Package name: xtensor   Version : 0.10.1-1   Upstream Author : Johan Mabille and Sylvain Corlay * URL : http://quantstack.net/xtensor * License :

Bug#702565: [Aptitude-devel] Bug#814038: aptitude: Provide a way to reverse order with any of the available sorting criterias

2017-05-09 Thread Manuel A. Fernandez Montecelo
Hi Axel, 2016-06-11 00:16 Axel Beckert: Hi Manuel, Manuel A. Fernandez Montecelo wrote: >>I think adding the information about negation here, probably terser >>than in the User's Manual, would be good thing while not really >>duplicating data (like the list of available sorting criteria,

Bug#862224: morris: should be in BoardGame not LogicalGame

2017-05-09 Thread Xavier Brochard
Package: morris Version: 0.2-2+b1 Severity: minor Dear Maintainer, As a game against an opponent, Morris should be categorized in BoardGame not in LogicalGame where you are supposed to play alone. Some similar games in BoardGame casegorie : Pentopi, Gnugo, kigo, FLTK checkers (in

Bug#862222: pawX11 crashes at start

2017-05-09 Thread Simon
Package: paw Version: 1:2.14.04.dfsg.2-9+b2 Severity: grave Justification: renders package unusable Dear Maintainer, on my machine the pawX11 executable crashes right on start with the error message: LOCB/LOCF: address 0x557a8da31260

Bug#862083: firejail: crashes when using --allow-debuggers ("free(): invalid pointer")

2017-05-09 Thread Sascha Silbe
Dear Reiner, Reiner Herrmann writes: [...] > I was able to reproduce the issue in a jessie chroot with the bpo package. > After some debugging I found that it is a memory corruption in fs.c. > Fortunately it has also already been fixed upstream [1], which is > already part

Bug#851877: fails every time

2017-05-09 Thread Guillaume Delacour
Hi, On Sat, 6 May 2017 20:57:44 +0200 Adam Borowski wrote: > On Sat, May 06, 2017 at 08:00:11PM +0200, Michael Stapelberg wrote: > > Thanks. It seems like getaddrinfo() is returning two results when resolving > > localhost. Can you provide the contents of your hostname

Bug#862221: csh: Wrong arithmetic precedence

2017-05-09 Thread Gilles Filippini
Package: csh Version: 20110502-2.2+b1 Severity: important -BEGIN PGP SIGNED MESSAGE- Hash: SHA256 bsd-csh returns wrong results for simple arithmetic expressions such as 'a - b + c': $ /bin/bsd-csh -c '@ var = 10 - 2 + 3; echo $var # should be 11' 5 # should be 11 It seems it

Bug#858923: libpam-winbind: Cannot change password via passwd (pam) in default config

2017-05-09 Thread Matthew Gabeler-Lee
Package: libpam-winbind Version: 2:4.5.8+dfsg-1 Followup-For: Bug #858923 The common recommendation for how to fix this issue, as long as you don't have too much else in the way of "interesting" module stacking is to remove use_authtok from the pam_winbind entry. But that will get clobbered the

Bug#862219: unblock: at-spi2-atk/2.22.0-2

2017-05-09 Thread Samuel Thibault
Package: release.debian.org Severity: normal User: release.debian@packages.debian.org Usertags: unblock Hello, Upstream of at-spi has released some serious fixes for at-spi2-atk, which I have uploaded as at-spi2-atk 2.22.0-2, and attached to this mail.

Bug#862220: unblock: at-spi2-core/2.22.0-6

2017-05-09 Thread Samuel Thibault
Package: release.debian.org Severity: normal User: release.debian@packages.debian.org Usertags: unblock Hello, Upstream of at-spi has released some serious fixes for at-spi2-core, which I have uploaded as at-spi2-core 2.22.0-6, and attached to this mail.

Bug#862218: mumble: spams console with "warning: Unknown speex_preprocess_ctl request: 26" (and 35)

2017-05-09 Thread Sascha Silbe
Package: mumble Version: 1.2.8-2 Severity: normal Dear Maintainer, on all the ARM based systems that I've tried (OLPC XO-1.75 (*), Wandboard Quad, OpenRD Base) mumble spams stdout or stderr with these lines: === Begin === warning: Unknown speex_preprocess_ctl request: 26 warning: Unknown

Bug#862217: initscript does fsck on empty floppy drive and stops booting

2017-05-09 Thread David Lawyer
Package: initscripts Version: 2.88dsf-59.9_i38 My PC has a floppy drive which I seldom use. When I boot linux, it runs /etc/init.d/checkfs.sh which runs fsck.fat on the floppy drive /dev/fd0. The fsck fails because there is no floppy in the drive and booting halts. The error message is: open:

Bug#861736:

2017-05-09 Thread Gilles Filippini
Control: tags -1 + patch On Mon, 8 May 2017 14:34:31 + PICCA Frederic-Emmanuel wrote: > Here after rebuilding hdf5 in debug mode > > :~/Debian/nexus$ ./bug.py > H5get_libversion(majnum=0xbf8a5b04, minnum=0xbf8a5b08, relnum=0xbf8a5b0c) = >

Bug#859342: Florence: segfault when clicking on size changing keys

2017-05-09 Thread Bernhard Übelacker
Hello, this bug is probably a duplicate of https://bugs.debian.org/805895 Kind regards, Bernhard

Bug#805895: florence crashed with SIGSEGV in _IO_vfprintf_internal()

2017-05-09 Thread Bernhard Übelacker
Hello, not being the maintainer I tried to reproduce the issue. I think we see here an exhaustion of the stack. Because clicking on the zoom button triggers a change of a g_settings/dconf entry. That triggers the callback view_set_scalex into florence. That tries to set the g_settings/dconf

Bug#862215: unblock: reprotest/0.6.2

2017-05-09 Thread Ximin Luo
Package: release.debian.org Severity: normal User: release.debian@packages.debian.org Usertags: unblock Please unblock package reprotest I made an important cosmetic bugfix, and added some more documentation on usage and known bugs. We also added signing keys to verify future releases with.

Bug#862216: release-notes: [Stretch] improve text about iproute2 and net-tools

2017-05-09 Thread Andreas Henriksson
Package: release-notes Severity: normal Hello, I recently ran across the stretch release notes draft and particularly "5.3.9. iproute2 will replace net-tools". See https://www.debian.org/releases/stretch/amd64/release-notes/ch-information.en.html#iproute2 This might be nitpicking but I find

Bug#806945: bash: Please make bash build reproducibly

2017-05-09 Thread Ximin Luo
Ximin Luo: > [..] > > CFLAGS - we eventually want to patch gcc to fix this; bash doesn't need to > handle this specifically. > BUILD_DIR - this does seem bash-specific, but I haven't yet studied the > Makefiles in enough detail to propose something concrete. > PDF ID - this is caused by [1]

Bug#833193: RFS: chapel/1.15-1 [ITP]

2017-05-09 Thread Ben Albrecht
Hi Lumin, Thanks for your comments. See responses below. >Hello guys, > >I quickly went through the packaging, and had some comments about it: >(I didn't carefully read your previous discussion and I have no >permission to upload) > >* debian/changelog: > currently

Bug#862214: Pre-approval request, unblock: vtk6/6.3.0+dfsg1-5

2017-05-09 Thread Anton Gladky
Package: release.debian.org Severity: normal User: release.debian@packages.debian.org Usertags: unblock Please unblock package vtk6 During the last upload of the version 6.3.0+dfsg1-4 some line endings in autopkgtests were accidentally broken and it causes test failures [1]. This upload is

Bug#862213: realmd FTCBFS: python build dependency unsatisfiable, uses build architecture pkg-config

2017-05-09 Thread Helmut Grohne
Source: realmd Version: 0.16.3-1 Tags: patch User: helm...@debian.org Usertags: rebootstrap realmd fails to cross build from source. Its build dependency on python is not installable, because installing a host architecture python typically fails. What realmd really needs is a build architecture

Bug#860950: steam: attempt to induce similar fatal crash

2017-05-09 Thread Stephen Liebbe
Package: steam Followup-For: Bug #860950 Dear Maintainer, attempted to induce crash by disabling GLX extension and removing the missing file. Results follow $ grep GLX ~/.local/share/xorg/Xorg.0.log [ 4.347] (**) Extension "GLX" is disabled $ rm

Bug#862212: RFA: drmips -- Educational MIPS simulator

2017-05-09 Thread Bruno Nova
Package: wnpp Severity: normal I request an adopter for the drmips package. I have little free time now, so I'm offering my Debian packages up for adoption. I am the developer of the upstream project. The project is very rarely updated. I was keeping the source code of the Debian package in

Bug#862211: RFA: nautilus-hide -- Extension for Nautilus to hide files without renaming them

2017-05-09 Thread Bruno Nova
Package: wnpp Severity: normal I request an adopter for the nautilus-hide package. I have little free time now, so I'm offering my Debian packages up for adoption. I am the developer of the upstream project. It's rarely updated, and usually only to add new translations. I was keeping the

Bug#862210: RFA: nautilus-admin -- Extension for Nautilus to do administrative operations

2017-05-09 Thread Bruno Nova
Package: wnpp Severity: normal I request an adopter for the nautilus-admin package. I am the developer of the upstream project. It's rarely updated, and usually only to add new translations. I was keeping the source code of the Debian package in the "debian" branch of this Git repository:

Bug#862208: matrix-synapse: [INTL:nl] Dutch translation of debconf messages

2017-05-09 Thread Frans Spiesschaert
Package: matrix-synapse Severity: wishlist Tags: l10n patch Dear Maintainer, == Please find attached the Dutch translation of matrix-synapse debconf messages. It has been submitted for review to the

Bug#862209: shim-signed: [INTL:nl] Dutch translation of debconf messages

2017-05-09 Thread Frans Spiesschaert
Package: shim-signed Severity: wishlist Tags: l10n patch Dear Maintainer, == Please find attached the Dutch translation of shim-signed debconf messages. It has been submitted for review to the debian-l10n-dutch

Bug#862207: error: libcrypto does not provide GOST

2017-05-09 Thread martin f krafft
Package: ldnsutils Version: 1.7.0-1 Severity: normal When trying ti use ldns-key2ds with -g, I get an error about GOST not being available. % ldns-key2ds -g -n _combined.key error: libcrypto does not provide GOST Either the option should be disabled, or ldns-key2ds linked with a

Bug#862200: cwidget FTCBFS: untranslated build-dependency on g++

2017-05-09 Thread Manuel A. Fernandez Montecelo
Hi Helmut, 2017-05-09 19:56 GMT+02:00 Helmut Grohne : > Source: cwidget > Version: 0.5.17-4 > Tags: patch > User: helm...@debian.org > Usertags: rebootstrap > > cwidget fails to cross build, because its build dependency on g++ is > unsatisfiable. In theory, we'd have to apply

Bug#862206: xorg: USB keyboard settings lost over time; repeated setxkbmap breaks internal/external keyboards

2017-05-09 Thread Joel Roth
Package: xorg Version: 1:7.7+7 Severity: normal Dear Maintainer, I run Jessie on a Lenovo T430 laptop. I start X with these keyboard options: setxkbmap -option ctrl:nocaps,terminate:ctrl_alt_bksp Part1: Over time, the external USB keyboard config reverts to default. Part2: Attempting to work

Bug#862205: libsndfile: CVE-2017-8361: global buffer overflow in flac_buffer_copy

2017-05-09 Thread Salvatore Bonaccorso
Source: libsndfile Version: 1.0.27-2 Severity: important Tags: security patch upstream Forwarded: https://github.com/erikd/libsndfile/issues/232#issuecomment-300267444 Hi, the following vulnerability was published for libsndfile. CVE-2017-8361[0]: | The flac_buffer_copy function in flac.c in

Bug#862083: firejail: crashes when using --allow-debuggers ("free(): invalid pointer")

2017-05-09 Thread Reiner Herrmann
Control: severity -1 important Control: notfound -1 0.9.44.10-1 Hi Sascha, On Mon, May 08, 2017 at 12:20:41PM +0200, Sascha Silbe wrote: > when passing --allow-debuggers to firejail to enable strace or gdb to > work inside firejail (in order to figure out why the sandboxed > application doesn't

Bug#862204: libsndfile: CVE-2017-8362

2017-05-09 Thread Salvatore Bonaccorso
Source: libsndfile Version: 1.0.27-2 Severity: important Tags: upstream security patch Forwarded: https://github.com/erikd/libsndfile/issues/231 Hi, the following vulnerability was published for libsndfile. CVE-2017-8362[0]: | The flac_buffer_copy function in flac.c in libsndfile 1.0.28 allows

Bug#862203: libsndfile: CVE-2017-8363: heap-based buffer overflow in flac_buffer_copy

2017-05-09 Thread Salvatore Bonaccorso
Source: libsndfile Version: 1.0.27-2 Severity: important Tags: upstream patch security Forwarded: https://github.com/erikd/libsndfile/issues/233 Hi, the following vulnerability was published for libsndfile. CVE-2017-8363[0]: | The flac_buffer_copy function in flac.c in libsndfile 1.0.28 allows

Bug#862202: libsndfile: CVE-2017-8365

2017-05-09 Thread Salvatore Bonaccorso
Source: libsndfile Version: 1.0.27-2 Severity: important Tags: upstream security patch Forwarded: https://github.com/erikd/libsndfile/issues/230 Hi, the following vulnerability was published for libsndfile. CVE-2017-8365[0]: | The i2les_array function in pcm.c in libsndfile 1.0.28 allows

Bug#862167: jessie-pu: package polarssl/1.3.9-2.1+deb8u2

2017-05-09 Thread Adam D. Barratt
Control: tags -1 + confirmed On Tue, 2017-05-09 at 11:42 +0100, James Cowgill wrote: > This polarssl update fixes CVE-2017-2784 (Freeing of memory allocated on > stack when validating a public key with a secp224k1 curve) which is a > no-DSA security issue. > > I've tested the CVE with the

Bug#838462: same crash

2017-05-09 Thread Hans-Christoph Steiner
Control: reassign -1 xserver-xorg-input-libinput 0.18-1 Control: retitle -1 xorg crashes when input device removed during suspend Looks like its this bug: https://bugs.freedesktop.org/show_bug.cgi?id=97117 I'm getting this same crash on ElementaryOS Loki (based on Ubuntu 16.04) with

Bug#862201: dolibarr: Applying absolute discount in proposal fails

2017-05-09 Thread Maximilian Stein
Package: dolibarr Version: 4.0.2+dfsg4-2 Severity: normal Dear Maintainer, After having added a customer in Dolibarr, I gave this customer an absolute discount. Then, I tried to create a proposal, however, applying the discount fails with the error message: "You have an error in your SQL

Bug#862200: cwidget FTCBFS: untranslated build-dependency on g++

2017-05-09 Thread Helmut Grohne
Source: cwidget Version: 0.5.17-4 Tags: patch User: helm...@debian.org Usertags: rebootstrap cwidget fails to cross build, because its build dependency on g++ is unsatisfiable. In theory, we'd have to apply toolchain dependency cross translation to such a dependency, but this feature is

Bug#862199: thunderbird: Thunderbird crashes when removing massively mails

2017-05-09 Thread Jean-Philippe MENGUAL
Package: thunderbird Version: 1:45.8.0-3 Severity: normal Dear Maintainer, *** Reporter, please consider answering these questions, where appropriate *** * What led up to the situation? I switched from Icedove to Thunderbird. I use MATE with Orca screen reader and accessibility stack

Bug#862198: ITP: python-bayespy -- variational Bayesian inference tools for Python

2017-05-09 Thread Ghislain Antony Vaillant
Package: wnpp Severity: wishlist Owner: Ghislain Antony Vaillant * Package name: python-bayespy Version : 0.5.6 Upstream Author : Jaakko Luttinen * URL : https://www.bayespy.org/ * License : Expat Programming

Bug#862197: mark elinks-data Multi-Arch: foreign

2017-05-09 Thread Helmut Grohne
Package: elinks-data Version: 0.12~pre6-12 Tags: patch User: helm...@debian.org Usertags: rebootstrap elinks cannot be installed for non-native architectures, because its dependency on elinks-data would be unsatisfiable. In general, Architecture: all packages can never satisfy dependencies from

Bug#862196: mark xmltoman Multi-Arch: foreign

2017-05-09 Thread Helmut Grohne
Package: xmltoman Version: 0.4-4 Tags: patch User: helm...@debian.org Usertags: rebootstrap Control: affects -1 + src:avahi src: src:seccure src:shairport-sync src:syrep The packages listed under affects cannot satisfy their cross build dependencies, because their dependency on xmltoman is

Bug#774449: sensible-utils: please make sensible-utils build reproducibly

2017-05-09 Thread Ximin Luo
Hi, here is an updated patch - it gets rid of filesystem and umask differences, which started cropping up. I think previously I was testing with an older version of reprotest, which didn't properly test these differences. I also took the chance to refactor the rules file slightly, for

Bug#862194: [Pkg-fedora-ds-maintainers] Bug#862194: 389-ds-base FTBFS on mips/mipsel: slapi_counter.c:210:5: error: unknown register name 'edx' in 'asm'

2017-05-09 Thread Timo Aaltonen
On 09.05.2017 19:37, Adrian Bunk wrote: > Source: 389-ds-base > Version: 1.3.5.17-1 > Severity: serious > > https://buildd.debian.org/status/package.php?p=389-ds-base=sid > > ... > libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -DBUILD_NUM=\"2017.129.86\" > "-DVENDOR=\"389 Project\""

Bug#862195: sendip: please make the build reproducible

2017-05-09 Thread Chris Lamb
Source: sendip Version: 2.5-7 Severity: wishlist Tags: patch User: reproducible-bui...@lists.alioth.debian.org Usertags: timestamps X-Debbugs-Cc: reproducible-b...@lists.alioth.debian.org Hi, Whilst working on the Reproducible Builds effort [0], we noticed that sendip could not be built

Bug#861771: Fails to install: postinst script returned error exit status 1

2017-05-09 Thread Simon McVittie
On Tue, 09 May 2017 at 11:11:15 -0400, Ryan Kavanagh wrote: > If I correctly interpreted the following, > /var/log/dpkg.log.4.gz:2017-01-24 15:51:39 upgrade nodm:amd64 0.12-1.1 > 0.13-1 > I appear to be upgrading from 0.12-1.1, which was installed 2017-01-23. I think you would have

Bug#87619: popularity-contest should use alternate method if /usr is mounted readonly

2017-05-09 Thread Bill Allombert
On Tue, May 09, 2017 at 04:59:56PM +0200, Manolo Díaz wrote: > Package: popularity-contest > Version: 1.64 > Followup-For: Bug #87619 > > Dear Maintainer, > > I think there are other circumstances under which popcon provides > unreliable "Vote" values: > /usr is mounted relatime

Bug#87619: popularity-contest should use alternate method if /usr is mounted readonly

2017-05-09 Thread Manolo Díaz
On Tuesday, 9 May 2017 at 16:47 UTC Bill Allombert wrote: > On Tue, May 09, 2017 at 04:59:56PM +0200, Manolo Díaz wrote: > > Package: popularity-contest > > Version: 1.64 > > Followup-For: Bug #87619 > > > > Dear Maintainer, > > > > I think there are other circumstances under which popcon

Bug#862194: 389-ds-base FTBFS on mips/mipsel: slapi_counter.c:210:5: error: unknown register name 'edx' in 'asm'

2017-05-09 Thread Adrian Bunk
Source: 389-ds-base Version: 1.3.5.17-1 Severity: serious https://buildd.debian.org/status/package.php?p=389-ds-base=sid ... libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -DBUILD_NUM=\"2017.129.86\" "-DVENDOR=\"389 Project\"" -DBRAND=\"389\" -DCAPBRAND=\"389\" -UPACKAGE_VERSION

Bug#862193: tar: Cannot utime: Read-only file system

2017-05-09 Thread Stefan Froehlich
Package: tar Version: 1.27.1-2+deb8u1 Severity: normal Dear Maintainer, the following happens: # /bin/tar cz -p -P --atime-preserve --warning=no-file-ignored --warning=no-file-changed --one-file-system / /bin/tar: /etc/machine-id: Cannot utime: Read-only file system /bin/tar:

Bug#862191: RFP: brython -- implementation of Python 3 running in the browser

2017-05-09 Thread W. Martin Borgert
Package: wnpp Severity: wishlist * Package name: brython Version : 3.2.6 Upstream Author : Pierre Quentel * URL : https://github.com/brython-dev/brython * License : BSD Programming Lang: JavaScript Description :

Bug#862192: golang-github-docker-docker-credential-helpers FTBFS on mips*: no buildable Go source files in /<>/obj-mips-linux-gnu/src/github.com/docker/docker-credential-helpers/secretser

2017-05-09 Thread Adrian Bunk
Source: golang-github-docker-docker-credential-helpers Version: 0.5.0-1 Severity: important https://buildd.debian.org/status/package.php?p=golang-github-docker-docker-credential-helpers=sid ... make[1]: Entering directory '/<>' dh_auto_build go install -v -p 1

Bug#860633: [pkg-go] Bug#860633: Bug#860633: golang-gopkg-asn1-ber.v1: FTBFS on i386: dh_auto_test: go test -v -p 1 gopkg.in/asn1-ber.v1 returned exit code 2

2017-05-09 Thread Dr. Tobias Quathamer
Am 06.05.2017 um 15:45 schrieb Dr. Tobias Quathamer: Hi, I would suggest that we remove this package from testing (stretch). Removal request: https://bugs.debian.org/862190 signature.asc Description: OpenPGP digital signature

Bug#862190: RM: golang-gopkg-asn1-ber.v1/1.1-1

2017-05-09 Thread Dr. Tobias Quathamer
Package: release.debian.org Severity: normal User: release.debian@packages.debian.org Usertags: rm Dear release team, I think we should remove golang-gopkg-asn1-ber.v1 from testing. The package has an FTBFS RC bug on i386 which does not have a clean fix. (https://bugs.debian.org/860633)

Bug#862171: debugger back trace

2017-05-09 Thread Erez
I get a very similar trace for smplayer: (gdb) bt #0 0x in ?? () #1 *0x772cc6ee in copyActionToPlatformItem* (action=action@entry=0x55d8fe40, item=item@entry=0x55d259b0, itemsMenu=0x55ead140) at *widgets/qmenu.cpp:3277* #2 0x772cc2f1 in

Bug#862189: transition: hunspell

2017-05-09 Thread Rene Engelhard
Package: release.debian.org Severity: normal User: release.debian@packages.debian.org Usertags: transition Hi, Simply a "new" upstream. Ben file: title = "hunspell"; is_affected = .depends ~ "libhunspell-1.4-0" | .depends ~ "libhunspell-1.6-0"; is_good = .depends ~ "libhunspell-1.6-0";

Bug#815943: Contract-Position

2017-05-09 Thread Volioti, G
One of the Major producer of steel in Asia(Japan) is currently employing both individuals/companies on a part time basis to help their growing business in your region, with good pay and commissions involved. Please be advise that this job only takes an hour of your time daily,thereby giving you

Bug#862171: debugger back trace

2017-05-09 Thread Erez
On 9 May 2017 at 15:06, Sebastian Ramacher wrote: > dbgsym (gdb) bt #0 0x in ?? () #1 0x7fffde6f86ee in copyActionToPlatformItem (action=action@entry=0x7fffc431a330, item=item@entry=0x7fffc42d4240, itemsMenu=0x7fffc41cd5e0) at widgets/qmenu.cpp:3277

Bug#823556: Mattermost dependencies

2017-05-09 Thread Pierre Rudloff
Hello, It seems we would need to package the following Go dependencies before we can package Mattermost: github.com/ssor/bom code.google.com/p/freetype-go/freetype bitbucket.org/taruti/pbkdf2.go code.google.com/p/goplan9/plan9/acme github.com/decker502/dnspod-go

Bug#862187: unblock: autopkgtest/4.4

2017-05-09 Thread Martin Pitt
Package: release.debian.org Severity: normal User: release.debian@packages.debian.org Usertags: unblock Hello release team, Please consider autopkgtest 4.4 [1] for Jessie. It contains mostly bug fixes and one small new feature which doesn't affect Debian. IMHO it's low risk as (1) it's not a

Bug#861771: Fails to install: postinst script returned error exit status 1

2017-05-09 Thread Ryan Kavanagh
found 861771 0.12-1.1 thanks On Mon, May 08, 2017 at 08:14:28PM +0100, Simon McVittie wrote: > On Wed, 03 May 2017 at 16:13:25 -0400, Ryan Kavanagh wrote: > > nodm fails to install/upgrade. > > What version did you upgrade from, and how long had you had that version > installed before upgrading?

Bug#862186: unblock: cryptsetup/2:1.7.3-4

2017-05-09 Thread Guilhem Moulin
Package: release.debian.org Severity: normal User: release.debian@packages.debian.org Usertags: unblock Hi there, cryptsetup/2:1.7.3-4 closes RC bug #861074. Quoting myself from Message #15, initramfs-tools 0.130 landed into testing on May 1st, and as of 2:1.7.3-3 the cryptroot

Bug#862039: r-bioc-gviz: accesses the internet during build

2017-05-09 Thread Chris Lamb
Andreas Tille wrote: > the gviz package received a bug report about trying to access a remote > location at package build time which is forbidden by Debian policy. […] > Do you have any hints how this access could be prevented? Just in case it helps, in other packages I've seen that exporting an

Bug#862185: snort: Logs truncated at startup

2017-05-09 Thread Mattthew Gabeler-Lee
Package: snort Version: 2.9.7.0-5 Severity: important The default (and recommended even by UPSTREAM) configuration for snort logging has the "nostamp" flag on the logging configurations. Which means that every time you start snort, it truncates your logfile. This is a BRILLIANT configuration

Bug#860749: mesa-va-drivers: Critical error in library 'mesa' with i965 video driver

2017-05-09 Thread Julien Cristau
Control: severity -1 important Control: tags -1 - lfs Control: reassign -1 src:linux 4.9.18-1 Control: tags -1 upstream On 05/09/2017 03:27 PM, Andreas Boll wrote: > On Tue, May 09, 2017 at 03:00:34PM +0200, Andreas Boll wrote: >> The following looks like an issue with the kernel graphics driver:

Bug#862039: r-bioc-gviz: accesses the internet during build

2017-05-09 Thread Andreas Tille
Hi, the gviz package received a bug report about trying to access a remote location at package build time which is forbidden by Debian policy. I wonder if there is an easy way to prevent this. Due to so called Build-Depends it is granted that biocinstaller code is installed on the building

Bug#87619: popularity-contest should use alternate method if /usr is mounted readonly

2017-05-09 Thread Manolo Díaz
Package: popularity-contest Version: 1.64 Followup-For: Bug #87619 Dear Maintainer, I think there are other circumstances under which popcon provides unreliable "Vote" values: /usr is mounted relatime A program that checks the system integrity, such as debsums In that case, is

Bug#862184: nmon: new upstream version available (16g)

2017-05-09 Thread Salvatore Bonaccorso
Source: nmon Version: 16f+debian-0.1 Severity: wishlist Hi There is a new upstream version available for nmon, can you consider packaging it? (after the freeze + release for unstable, or experimental already). Regards, Salvatore

Bug#862114: RFS: xe/0.6.1-1 [ITP] -- simple xargs and apply replacement

2017-05-09 Thread Mezgani Ali
Hello, I think that we should not talk about a replacement as listed in the subject but about an alternative. Regards, On Tue, May 9, 2017 at 4:05 PM, Andrey Rahmatullin wrote: > On Tue, May 09, 2017 at 09:52:17AM -0400, PICCORO McKAY Lenz wrote: > > xe its not an emulator

Bug#862183: libjgroups-java: please make the build reproducible

2017-05-09 Thread Chris Lamb
Source: libjgroups-java Version: 2.12.2.Final-4 Severity: wishlist Tags: patch User: reproducible-bui...@lists.alioth.debian.org Usertags: randomness X-Debbugs-Cc: reproducible-b...@lists.alioth.debian.org Hi, Whilst working on the Reproducible Builds effort [0], we noticed that libjgroups-java

Bug#862181: krank: Please do not depends on transitional dummy pkg ttf-dejavu

2017-05-09 Thread Boyuan Yang
Package: krank Version: 0.7+dfsg2-3 Severity: minor User: 073p...@gmail.com Usertags: fonts-transitional-dummy-pkg-migration Dear maintainer, Your package krank depends on the following transitional dummy package(s): * ttf-dejavu, which should be fonts-dejavu now Please update your dependency

Bug#862182: python-distutils-extra: Generated debian/rules file cannot be used with latest make

2017-05-09 Thread Vsevolod Velichko
Package: python-distutils-extra Version: 2.40 Severity: important Dear Maintainer, debian/rules file generated by python-mkdebian is broken. Current version of GNU Make at least in Ubuntu Zesty complains about it: debian/rules:4: *** missing separator (did you mean TAB instead of 8

  1   2   >